Skip to main content
GET
/
web-agent
/
{id}
Get web agent details
curl --request GET \
  --url https://api.cleartalk.ai/web-agent/{id} \
  --header 'x-api-key: <api-key>'
{
  "status": "success",
  "message": "Web agent details retrieved successfully",
  "data": {
    "agent_id": "<string>",
    "prompt": "<string>",
    "voice": "<string>",
    "webhook": "<string>",
    "analysis_schema": {},
    "metadata": {},
    "pathway_id": "<string>",
    "language": "<string>",
    "model": "<string>",
    "first_sentence": "<string>",
    "tools": [
      "<string>"
    ],
    "dynamic_data": {},
    "interruption_threshold": 123,
    "max_duration": 123
  }
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
string
required

The ID of the web agent

Response

The web agent details have been successfully retrieved

status
string
Example:

"success"

message
string
Example:

"Web agent details retrieved successfully"

data
object